## ros-melodic-yocs-diff-drive-pose-controller 0.8.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(yocs_diff_drive_pose_controller)

find_package(catkin REQUIRED COMPONENTS ecl_threads
                                        geometry_msgs
                                        nodelet
                                        pluginlib
                                        roscpp
                                        sensor_msgs
                                        std_msgs
                                        tf
                                        yocs_controllers
                                        yocs_math_toolkit
            )

catkin_package(INCLUDE_DIRS include
               LIBRARIES yocs_diff_drive_pose_controller yocs_diff_drive_pose_controller_nodelet
               CATKIN_DEPENDS ecl_threads
                              geometry_msgs
                              nodelet
                              pluginlib
                              roscpp
                              sensor_msgs
                              std_msgs
                              tf
                              yocs_controllers
                              yocs_math_toolkit
              )

include_directories(include ${catkin_INCLUDE_DIRS})

add_library(yocs_diff_drive_pose_controller src/diff_drive_pose_controller.cpp)
target_link_libraries(yocs_diff_drive_pose_controller ${catkin_LIBRARIES})

add_library(yocs_diff_drive_pose_controller_nodelet
    src/diff_drive_pose_controller.cpp
    src/diff_drive_pose_controller_ros.cpp
    src/nodelet.cpp)
add_dependencies(yocs_diff_drive_pose_controller_nodelet geometry_msgs_gencpp
                                                         sensor_msgs_gencpp
                                                         std_msgs_gencpp)
target_link_libraries(yocs_diff_drive_pose_controller_nodelet yocs_diff_drive_pose_controller ${catkin_LIBRARIES})

install(TARGETS yocs_diff_drive_pose_controller yocs_diff_drive_pose_controller_nodelet LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
        FILES_MATCHING PATTERN "*.hpp")
install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY plugins DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-melodic-yocs-diff-drive-pose-controller (0.8.2-0bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 21 Jan 2019 16:11:19 -0000

ros-melodic-yocs-diff-drive-pose-controller (0.8.0-0bionic) bionic; urgency=high

  * verbose option
  * bugfix for wrapping angles properly

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 06 May 2016 04:00:00 -0000

ros-melodic-yocs-diff-drive-pose-controller (0.6.4-0bionic) bionic; urgency=high

  * many minor improvements

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Sat, 10 Oct 2015 04:00:00 -0000

ros-melodic-yocs-diff-drive-pose-controller (0.6.0-0bionic) bionic; urgency=high

  * updating package informations. remove email for authors. updating maintainer
  * pose_controller: removes result feedback when tracking new pose
  * pose_controller: improves pose approach
  * pose_controller: adds limits for linear vel
  * pose_controller: add goal reached logic and control
  * remove unused parameters.
  * Contributors: Daniel Stonier, Jihoon Lee, Marcus Liebhardt

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Tue, 08 Jul 2014 04:00:00 -0000

ros-melodic-yocs-diff-drive-pose-controller (0.5.3-0bionic) bionic; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 24 Mar 2014 04:00:00 -0000

ros-melodic-yocs-diff-drive-pose-controller (0.5.2-0bionic) bionic; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Tue, 05 Nov 2013 05:00:00 -0000

ros-melodic-yocs-diff-drive-pose-controller (0.5.1-0bionic) bionic; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 14 Oct 2013 04:00:00 -0000

ros-melodic-yocs-diff-drive-pose-controller (0.5.0-0bionic) bionic; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 11 Oct 2013 04:00:00 -0000

ros-melodic-yocs-diff-drive-pose-controller (0.4.1-0bionic) bionic; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Tue, 08 Oct 2013 04:00:00 -0000

ros-melodic-yocs-diff-drive-pose-controller (0.4.0-0bionic) bionic; urgency=high

  * Add bugtracker and repo info URLs.
  * Changelogs at package level.

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Thu, 29 Aug 2013 04:00:00 -0000

ros-melodic-yocs-diff-drive-pose-controller (0.3.0-0bionic) bionic; urgency=high

  * Initial version.

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Tue, 02 Jul 2013 04:00:00 -0000

ros-melodic-yocs-diff-drive-pose-controller (0.2.3-0bionic) bionic; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 15 Apr 2013 04:00:00 -0000

ros-melodic-yocs-diff-drive-pose-controller (0.2.2-0bionic) bionic; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Sun, 10 Feb 2013 05:00:00 -0000

ros-melodic-yocs-diff-drive-pose-controller (0.2.1-0bionic) bionic; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 08 Feb 2013 05:00:00 -0000

ros-melodic-yocs-diff-drive-pose-controller (0.2.0-0bionic) bionic; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Thu, 07 Feb 2013 05:00:00 -0000

ros-melodic-yocs-diff-drive-pose-controller (0.1.3-0bionic) bionic; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Tue, 08 Jan 2013 05:00:00 -0000

ros-melodic-yocs-diff-drive-pose-controller (0.1.2-0bionic) bionic; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Wed, 02 Jan 2013 05:00:00 -0000

ros-melodic-yocs-diff-drive-pose-controller (0.1.1-0bionic) bionic; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 21 Dec 2012 05:00:00 -0000

ros-melodic-yocs-diff-drive-pose-controller (0.1.0-0bionic) bionic; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Wed, 05 Dec 2012 05:00:00 -0000

=== debian/control ===
Source: ros-melodic-yocs-diff-drive-pose-controller
Section: misc
Priority: extra
Maintainer: Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-ecl-threads, ros-melodic-geometry-msgs, ros-melodic-nodelet, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-yocs-controllers, ros-melodic-yocs-math-toolkit
Homepage: http://ros.org/wiki/yocs_diff_drive_pose_controller
Standards-Version: 3.9.2

Package: ros-melodic-yocs-diff-drive-pose-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-ecl-threads, ros-melodic-geometry-msgs, ros-melodic-nodelet, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-yocs-controllers, ros-melodic-yocs-math-toolkit
Description: A controller for driving a differential drive base to a pose goal or along a path specified by multiple poses.
 A pose consists of a 2D position (x,y) and a 1D orientation (theta).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-yocs-diff-drive-pose-controller//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
